Package org.eclipse.viatra.query.patternlanguage.emf

## Class EMFPatternLanguageStandaloneCompilerSetup

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneSetupGenerated
  - - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneSetup
    - - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneCompilerSetup

- All Implemented Interfaces:
    `org.eclipse.xtext.ISetup`

      public class EMFPatternLanguageStandaloneCompilerSetup
      extends EMFPatternLanguageStandaloneSetup

  Since:
    2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneSetup

      `EMFPatternLanguageStandaloneSetup.StandaloneParserModule, EMFPatternLanguageStandaloneSetup.StandaloneParserWithSeparateModules`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EMFPatternLanguageStandaloneCompilerSetup()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.google.inject.Injector` | `createInjector()` |

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneSetup

      `createStandaloneInjector, createStandaloneInjectorWithSeparateModules, doSetup, register`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneSetupGenerated

      `createInjectorAndDoEMFRegistration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.xtext.ISetup

      `createInjectorAndDoEMFRegistration`

- - ### Constructor Detail

    - #### EMFPatternLanguageStandaloneCompilerSetup

          public EMFPatternLanguageStandaloneCompilerSetup()

  - ### Method Detail

    - #### createInjector

          public com.google.inject.Injector createInjector()

      Overrides:
        `createInjector` in class `EMFPatternLanguageStandaloneSetupGenerated`